Bug 865969 - [abrt] gcc-c++-4.7.2-2.fc17: Process /usr/libexec/gcc/x86_64-redhat-linux/4.7.2/cc1plus was killed by signal 11 (SIGSEGV)
[abrt] gcc-c++-4.7.2-2.fc17: Process /usr/libexec/gcc/x86_64-redhat-linux/4.7...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
abrt_hash:ab788fd475af9af2361d45e1003...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 19:20 EDT by hiallppl
Modified: 2013-07-31 21:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:00:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (3.74 KB, text/plain)
2012-10-12 19:20 EDT, hiallppl
no flags Details
File: environ (3.56 KB, text/plain)
2012-10-12 19:20 EDT, hiallppl
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-12 19:20 EDT, hiallppl
no flags Details
File: backtrace (12.51 KB, text/plain)
2012-10-12 19:20 EDT, hiallppl
no flags Details
File: cgroup (130 bytes, text/plain)
2012-10-12 19:20 EDT, hiallppl
no flags Details
File: maps (4.01 KB, text/plain)
2012-10-12 19:20 EDT, hiallppl
no flags Details
File: dso_list (833 bytes, text/plain)
2012-10-12 19:20 EDT, hiallppl
no flags Details
File: var_log_messages (344 bytes, text/plain)
2012-10-12 19:20 EDT, hiallppl
no flags Details
File: open_fds (330 bytes, text/plain)
2012-10-12 19:20 EDT, hiallppl
no flags Details

  None (edit)
Description hiallppl 2012-10-12 19:20:00 EDT
Version-Release number of selected component:
gcc-c++-4.7.2-2.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        /usr/libexec/gcc/x86_64-redhat-linux/4.7.2/cc1plus -quiet -I bin.v2/libs/math/build/gcc-4.7.2/release/threading-multi/../src/tr1 -I . -I libs/math/src/tr1 -D_GNU_SOURCE -D_REENTRANT -D BOOST_ALL_NO_LIB=1 -D BOOST_BUILD_PCH_ENABLED -D BOOST_MATH_TR1_DYN_LINK=1 -D NDEBUG libs/math/build/../src/tr1/assoc_legendre.cpp -quiet -dumpbase assoc_legendre.cpp -mtune=generic -march=x86-64 -auxbase-strip bin.v2/libs/math/build/gcc-4.7.2/release/threading-multi/assoc_legendre.o -O3 -Wno-inline -Wall -Winvalid-pch -ftemplate-depth=128 -finline-functions -fPIC -fvisibility=hidden -o - -frandom-seed=0
crash_function: linemap_location_from_macro_expansion_p
kernel:         3.5.4-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 linemap_location_from_macro_expansion_p at ../../libcpp/line-map.c:775
: #1 linemap_lookup at ../../libcpp/line-map.c:513
: #2 linemap_macro_loc_to_def_point at ../../libcpp/line-map.c:953
: #3 linemap_resolve_location at ../../libcpp/line-map.c:1072
: #5 ??
: #6 cp_diagnostic_starter at ../../gcc/cp/error.c:2834
: #7 diagnostic_report_diagnostic at ../../gcc/diagnostic.c:548
: #8 internal_error at ../../gcc/diagnostic.c:845
: #9 crash_signal at ../../gcc/toplev.c:346
: #11 linemap_position_for_column at ../../libcpp/line-map.c:469
Comment 1 hiallppl 2012-10-12 19:20:03 EDT
Created attachment 626340 [details]
File: core_backtrace
Comment 2 hiallppl 2012-10-12 19:20:05 EDT
Created attachment 626341 [details]
File: environ
Comment 3 hiallppl 2012-10-12 19:20:06 EDT
Created attachment 626342 [details]
File: limits
Comment 4 hiallppl 2012-10-12 19:20:09 EDT
Created attachment 626343 [details]
File: backtrace
Comment 5 hiallppl 2012-10-12 19:20:11 EDT
Created attachment 626344 [details]
File: cgroup
Comment 6 hiallppl 2012-10-12 19:20:13 EDT
Created attachment 626345 [details]
File: maps
Comment 7 hiallppl 2012-10-12 19:20:14 EDT
Created attachment 626346 [details]
File: dso_list
Comment 8 hiallppl 2012-10-12 19:20:16 EDT
Created attachment 626347 [details]
File: var_log_messages
Comment 9 hiallppl 2012-10-12 19:20:18 EDT
Created attachment 626348 [details]
File: open_fds
Comment 10 Fedora End Of Life 2013-07-03 18:50:14 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-07-31 21:00:16 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.